Issue 79205

Summary: error saving document error writing file
Product: General Reporter: mandydog <mstanleyemail-shopping>
Component: uiAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues
Version: OOo 2.2.1 RC3   
Target Milestone: ---   
Hardware: PC   
OS: Windows XP   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---

Description mandydog 2007-07-04 12:12:31 UTC
This is an intermittent  problem.  I get 
"error saving document  fred.odt 
Write error
error writing file" on save or save as, from both calc and writer [odt and ods
files]. 
These are existing files which I was editing. If I cut and paste the entire
file, [or sheet from calc] to a new file there is no problem in saving the new
file [save as].

 This first started in version 2.2.0 but I have downloaded 2.2.1 on 1 July 2007
and the problem is still there [in a new file created this morning]. This was
reported as issue 67317 on version 2.0.3 but the issue seems to be closed even
though the problem persists. 

If I try "save as" newfred.odt the same message is shown but not with the file
name  newfred.odt but with the old file name, fred.odt. A file newfred.odt is
saved but it seems to be empty and when I open it and enter some text and try to
save it, the save thinks it is in txt format, so I get the message "this
document may contain formatting or content that cannot be saved in text file
format." If I continue with the save in odt format I am warned that the odt file
already exists -even though when I opened it, it picks up as a .txt.file. 

The original fred.odt was  saved when initially created with the original edits,
When it refused to save I closed it without the recent edits. If closed it can
easily be re-opened. It then saves ok even if I cut and paste the new edits back
from the copy, after this hiccup.

 The same has been occuring with spreadsheets.

Sorry to be so long winded but I am trying to give you all the relevant info. I
really like the Open Office suite, and appreciate what a lot of work has gone
into it.
Comment 1 michael.ruess 2007-07-04 13:16:16 UTC
Sounds more a problem of File-handling. Framework issue.
Comment 2 thorsten.martens 2007-07-05 08:16:13 UTC
Not reproducible and a strange behaviour. Please download recent version (m217
build) from an official source (openoffice.org), uninstall old OOo-version
completely (incl. deletion of installation folder AND openoffice-folder within
users Application Data ! -> stores users personal data and may have an influence
of newer versions if defect), install recent downloaded version. -> Problems
should have gone. Be sure, that temp-folder is writable and there's enough
discspace for saving.
Comment 3 thorsten.martens 2007-07-10 14:41:27 UTC
closed
Comment 4 mandydog 2007-07-26 19:17:22 UTC
 On 7 July 2007 I  cleared all the directories mentioned that connected to open
office [but not the user files]; re downloaded openoffice as suggested, and
re-installed it. The problem, while intermittent, persists.
What happens is, for example in writer, I create an new file, edit it and save
as, say myfile. I save regularly while editing, then on one occasion it will
refuse to save, saying unable to write file. If I cut and paste the file content
to a different new file I can save as mynewfile. If I close the older file and
reopen it, it has all but the most recent edits. I can paste in either the
entire content or just the recent edits [when they are all in one place] and it
will save them. 

If I open a new file, cut the content from the unsaveable file and then close
it; paste into the new file I can save the new file over the unsaveable file.

A similar thing happens with spreadsheets. The spreadsheets I am using have
several sheets so cutting and pasting is more cumbersome, but I have managed it.

I do not think the problem is because the temp file is full or presumably I
would not be able to save the new copy.
Comment 5 justinholland 2007-07-27 13:18:42 UTC
I also have this problem, I have had it since installing 2.2.1 and now it
persists. I have tried uninstalling, deleting all user and install files as
suggested. I have not deleted any registry data. I have tried 2.2.0 as well but
the problem persists. 

I have found that the problem occurs after some period of time, no specific
activity by the user is required to generate the error. I have returned to my PC
after a period away and been unable to save a file.

As a work around the automated backups are successful, you will find there is no
need to copy and paste. Just wait for the automated backup interval then open
the latest backup file in a new window, close the original window and save your
document to the original file name.

Comment 6 mandydog 2007-07-27 15:06:10 UTC
Thankyou. 
It is a great comfort to find that I am not the only person with the problem. I
was concerned that I was doing something really silly.

I have set up automatic backup, which I did not have. However, the backup file
is in the application data folder for oo2.2. Can I direct the backup to any
other folder for example in My Documents/
Comment 7 justinholland 2007-07-29 08:11:54 UTC
Yes we are not alone, searching the web you can find many others with a similar 
problem but it seems reproducing it is a problem. I cannot even make it happen 
deliberately it's very intermittent. Because Writer doesn't crash it won't 
generate any error reporting so it's hard to resolve. I would be nice to have 
someway to force a debug or memory dump when the problem occurs.

In regards to the location of the automated backup it can be set to anywhere 
you like provided that is always available. Under "Tools / Options" you will 
find an entry for "OpenOffice.org / Paths", but I suggest somewhere local. The 
program won't create the folder for you so make sure you create one inyour 
preferred location first.

I hope someone clever resolves our issue soon.
Comment 8 iuc 2007-08-10 18:46:47 UTC
We too are getting this error after installing 2.2.1. This was a clean install
on a brand new Dell Dimension E520 too. So this error has nothing to do with
user settings from older release bringing the problem forward. It is not readily
reproducible either. Can we please have some action on this as it is not a very
productive environment to work in.
Comment 9 Olaf Felka 2007-08-10 19:25:05 UTC
It's hard to take some action on this issue if nobody who should fix has a
chance to reproduce. It's surly not a common OOo 2.2.1 problem.
Comment 10 iuc 2007-08-10 20:11:31 UTC
It appears to be a common problem if there are a lot of comments in various
website from people who are having the same problem. It may just take someone
with a debug version running to try and repro the problem. We may just have to
go back to an earlier release to get around this problem until a fix is found. I
know it is vary hard to reproduce as it does not happen on every file that is
opened. It is not even a time related issue. 
Comment 11 justinholland 2007-08-11 12:53:37 UTC
I have tried uninstalling 2.2.1 and returning to an earlier version but the
problem persists. It may be related to something that persists after the
uninstall such as JRE, SDK or some other shared update.
Comment 12 iuc 2007-08-16 16:18:32 UTC
To try and get around the problem I uninstalled 2.2.1, rebooted my system,
installed 2.0.3. The problem still persists.  Suspect it is something being
shipped and installed with open office that is causing the problem.  What that
may be I have no idea. This is a very large hit to my productivity.  Until now I
have been extremely pleased with open office. 
Comment 13 mandydog 2007-08-18 16:26:53 UTC
Some additional information: I have set to save backups and to autosave at
frequent intervals. Some of the files in the backup folder are normal .odt files
or normal .bak files but several are appearing with a size of zero and a double
extension , for example file guernsey.odt size 20 kb, time 22.11; guernsey.bak,
size 20 kb, time 22.15, file guernsey.odt_0.odt , 0 kb  time 23.12, [the first
refusal to save] then guernsey.odt_1.odt  0 kb [next refusal to save]. These
empty files appear in the backup folder, not in the folder where the original
file, guernsey.odt is saved. However it is not quite clear cut , for I find
there is also another file, cassettes.odt_0.odt which is not empty , but is in
the backup folder.
Comment 14 justinholland 2007-08-20 02:13:40 UTC
I also have the zero size backup files, this may be normal.

In the short term I downloaded and installed the free StarOffice 8 being 
offered at Google Pack. It seems to be 100% compatible with all my OpenOffice 
files and so far the save problem has not occurred in StarOffice.

But my preference is still to use OpenOffice if the save problem gets resolved.
Comment 15 justinholland 2007-08-27 01:18:59 UTC
I have just had the problem occur in StarOffice 8, so it must be a feature
common to both or an external conflict.

In the case of StarOffice, when the problem occurs I have found it is possible
to save the file as a Microsoft file type, but not as any of the Sun file formats!!!

So far I have tested both XLS and DOC, file types. Once it is saved in the
Microsoft format you can close the problem window, re-open the XLS or DOC file
then immediately save it to the original ODT or ODS file. Is anyone with a
standalone Windows install of OpenOffice able to test this behaviour?

This sounds similar to the Samba problems of a few years ago, could it be related? 

Regards,
Justin.
Comment 16 mwm1998 2007-12-14 13:21:43 UTC
*** Issue 79205 has been confirmed by votes. ***